%% Code accompanying "Uncertainty Quantification and Global Sensitivity Analysis for Economic Models"
%% by Daniel Harenberg, Stefano Marelli, Bruno Sudret, and Viktor Winschel

function dY = M_oaat_findiff(par1,par2)
Y1   = M_solve_RBC(par1);             % solve at first parameter value
pars = repmat(par1,8,1);              % preallocate result at changed parameters
for p=1:8
    pars(p,p)  = par2(p);             % change parameter to second parameter vector
end
dY = (M_solve_RBC(pars) - repmat(Y1,8,1)); %./ repmat(Y1,8,1);  % calculate % change
