%% Code accompanying "Uncertainty Quantification and Global Sensitivity Analysis for Economic Models"
%% by Daniel Harenberg, Stefano Marelli, Bruno Sudret, and Viktor Winschel

function M_plot_hist(data,xname,tit,figs,yc)
uq_figure('Position', [50 50 500 400]);
uq_histogram(data);
if ~isempty(tit)
    title(tit);
end
if ~isempty(xname)    
    xlabel(xname);
end
ylabel('Number of samples');
ym = get(gca,'YLim');
line([yc yc],[0 ym(2)]);
text(yc,0.8*ym(2),'Baseline','FontSize',24);
saveas(gcf, [figs '.fig']);
saveas(gcf, [figs '.png']);
close(gcf);